Strange bug - object is unexpectedly hidden

Post here for help on using FreeCAD's graphical user interface (GUI).
DeepSOIC
Posts: 5533
Joined: Fri Aug 29, 2014 12:45 am
Location: Saint-Petersburg, Russia

Strange bug - object is unexpectedly hidden

Postby DeepSOIC » Fri Apr 20, 2018 12:34 am

Hi!
I've been testing new object-replacement utility I'm making for part-o-magic, and encountered a strange problem.

1. Open
replaceobject preset.FCStd
(6.51 KiB) Downloaded 5 times
2. Run:

Code: Select all

App.ActiveDocument.Fusion.Shapes = [App.ActiveDocument.Cut, App.ActiveDocument.Box]
Result: 'Cut' becomes hidden. But... WTF!? I didn't touch any view property at all...


OS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13509 (Git)
Build type: Release
Branch: releases/FreeCAD-0-17
Hash: 0258808ccb6ba3bd5ea9312f79cd023f1a8671b7
Python version: 2.7.14
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.2.0
Locale: Russian/RussianFederation (ru_RU)